Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class PersistenceMetadata

    java.lang.Object
      org.hibernate.ejb.packaging.PersistenceMetadata

    public class PersistenceMetadata

extends java.lang.Object

Simple represenation of persistence.xml Object used by JBoss EJB 3 for persistence.xml parsing

Version:
  $Revision: 11329 $
Author:
  Bill Burke

Constructor Summary
`PersistenceMetadata()`

Method Summary
`java.util.List<java.lang.String>` | `getClasses()`
`boolean` | `getExcludeUnlistedClasses()`
`java.util.List<NamedInputStream>` | `getHbmfiles()`
`java.util.Set<java.lang.String>` | `getJarFiles()`
`java.lang.String` | `getJtaDatasource()`
`java.util.List<java.lang.String>` | `getMappingFiles()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNonJtaDatasource()`
`java.util.List<java.lang.String>` | `getPackages()`
`java.util.Properties` | `getProps()`
`java.lang.String` | `getProvider()`
`javax.persistence.spi.PersistenceUnitTransactionType` | `getTransactionType()`
`void` | `setClasses(java.util.List<java.lang.String> classes)`
`void` | `setExcludeUnlistedClasses(boolean excludeUnlistedClasses)`
`void` | `setHbmfiles(java.util.List<NamedInputStream> hbmfiles)` Deprecated. use getHbmfiles() rather
`void` | `setJarFiles(java.util.Set<java.lang.String> jarFiles)`
`void` | `setJtaDatasource(java.lang.String jtaDatasource)`
`void` | `setMappingFiles(java.util.List<java.lang.String> mappingFiles)`
`void` | `setName(java.lang.String name)`
`void` | `setNonJtaDatasource(java.lang.String nonJtaDatasource)`
`void` | `setPackages(java.util.List<java.lang.String> packages)`
`void` | `setProps(java.util.Properties props)`
`void` | `setProvider(java.lang.String provider)`
`void` | `setTransactionType(javax.persistence.spi.PersistenceUnitTransactionType transactionType)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistenceMetadata

    public PersistenceMetadata()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getTransactionType

    public javax.persistence.spi.PersistenceUnitTransactionType getTransactionType()

### setTransactionType

    public void setTransactionType(javax.persistence.spi.PersistenceUnitTransactionType transactionType)

### getNonJtaDatasource

    public java.lang.String getNonJtaDatasource()

### setNonJtaDatasource

    public void setNonJtaDatasource(java.lang.String nonJtaDatasource)

### getJtaDatasource

    public java.lang.String getJtaDatasource()

### setJtaDatasource

    public void setJtaDatasource(java.lang.String jtaDatasource)

### getProvider

    public java.lang.String getProvider()

### setProvider

    public void setProvider(java.lang.String provider)

### getClasses

    public java.util.List<java.lang.String> getClasses()

### setClasses

    public void setClasses(java.util.List<java.lang.String> classes)

### getPackages

    public java.util.List<java.lang.String> getPackages()

### setPackages

    public void setPackages(java.util.List<java.lang.String> packages)

### getMappingFiles

    public java.util.List<java.lang.String> getMappingFiles()

### setMappingFiles

    public void setMappingFiles(java.util.List<java.lang.String> mappingFiles)

### getJarFiles

    public java.util.Set<java.lang.String> getJarFiles()

### setJarFiles

    public void setJarFiles(java.util.Set<java.lang.String> jarFiles)

### getProps

    public java.util.Properties getProps()

### setProps

    public void setProps(java.util.Properties props)

### getHbmfiles

    public java.util.List<NamedInputStream> getHbmfiles()

### setHbmfiles

    public void setHbmfiles(java.util.List<NamedInputStream> hbmfiles)

  Deprecated. use getHbmfiles() rather

### getExcludeUnlistedClasses

    public boolean getExcludeUnlistedClasses()

### setExcludeUnlistedClasses

    public void setExcludeUnlistedClasses(boolean excludeUnlistedClasses)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD